members.dev
Members

Create Member Import Upload URL

Creates a Member Import Upload URL

POST
/v1/members/import/upload

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Header Parameters

Members-Context?|

Members organization id (org_…) when the client has multiple organizations.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

content_type*string

MIME type of the CSV to upload. Allowed: text/csv.

Response Body

application/json

application/json

curl -X POST "https://api.members.dev/v1/members/import/upload" \  -H "Content-Type: application/json" \  -d '{    "content_type": "text/csv"  }'
{
  "upload_url": "string",
  "object_key": "string",
  "expires_in": 300
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}